SUSE-SU-2012:0642-1

Security update for libpython2_6-1_0, libpython2_6-1_0-32bit, libpython2_6-1_0-x86, python, python-32bit, python-base, python-base-32bit, python-base-debuginfo, python-base-debuginfo-32bit, python-base-debuginfo-x86, python-base-debugsource, python-base-x86, python-curses, python-debuginfo, python-debuginfo-32bit, python-debuginfo-x86, python-debugsource, python-demo, python-devel, python-doc, python-doc-pdf, python-gdbm, python-idle, python-tk, python-x86, python-xml

SUSE Security Update: Security update for libpython2_6-1_0, libpython2_6-1_0-32bit, libpython2_6-1_0-x86, python, python-32bit, python-base, python-base-32bit, python-base-debuginfo, python-base-debuginfo-32bit, python-base-debuginfo-x86, python-base-debugsource, python-base-x86, python-curses, python-debuginfo, python-debuginfo-32bit, python-debuginfo-x86, python-debugsource, python-demo, python-devel, python-doc, python-doc-pdf, python-gdbm, python-idle, python-tk, python-x86, python-xml
Announcement ID: SUSE-SU-2012:0642-1
Rating: low
References: #744287 #747125 #748079 #751714 #751718 #752375 #754447 #754547
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 11 SP2
  • SUSE Linux Enterprise Software Development Kit 11 SP1
  • SUSE Linux Enterprise Server 11 SP2
  • SUSE Linux Enterprise Server 11 SP1 for VMware
  • SUSE Linux Enterprise Server 11 SP1
  • SUSE Linux Enterprise Desktop 11 SP2
  • SUSE Linux Enterprise Desktop 11 SP1

  • An update that solves 5 vulnerabilities and has three fixes is now available. It includes one version update.

    Description:


    This update to python 2.6.8 fixes the following bugs, among
    others:

    * XMLRPC Server DoS (CVE-2012-0845, bnc#747125)
    * hash randomization issues (CVE-2012-1150, bnc#751718)
    * insecure creation of .pypirc (CVE-2011-4944,
    bnc#754447)
    * SimpleHTTPServer XSS (CVE-2011-1015, bnc#752375)
    * functions can accept unicode kwargs (bnc#744287)
    * python MainThread lacks ident (bnc#754547)
    * TypeError: waitpid() takes no keyword arguments
    (bnc#751714)
    * Source code exposure in CGIHTTPServer module
    (CVE-2011-1015, bnc#674646)
    * Insecure redirect processing in urllib2
    (CVE-2011-1521, bnc#682554)

    The hash randomization fix is by default disabled to keep
    compatibility with existing python code when it extracts
    hashes.

    To enable the hash seed randomization you can use: - pass
    -R to the python interpreter commandline. - set the
    environment variable PYTHONHASHSEED=random to enable it
    for programs. You can also set this environment variable
    to a fixed hash seed by specifying a integer value between
    0 and MAX_UINT.

    In generally enabling this is only needed when malicious
    third parties can inject values into your hash tables.

    The update to 2.6.8 also provides many compatibility fixes
    with OpenStack.

    Security Issues:

    * CVE-2011-1015
    >
    * CVE-2011-1521
    >
    * CVE-2011-4944
    >
    * CVE-2012-0845
    >
    * CVE-2012-1150
    >

    Contraindications:

    None

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 11 SP2:
      zypper in -t patch sdksp1-python-randomisation-update-6310
    • SUSE Linux Enterprise Software Development Kit 11 SP1:
      zypper in -t patch sdksp1-python-randomisation-update-6310
    • SUSE Linux Enterprise Server 11 SP2:
      zypper in -t patch slessp1-python-randomisation-update-6310
    • SUSE Linux Enterprise Server 11 SP1 for VMware:
      zypper in -t patch slessp1-python-randomisation-update-6310
    • SUSE Linux Enterprise Server 11 SP1:
      zypper in -t patch slessp1-python-randomisation-update-6310
    • SUSE Linux Enterprise Desktop 11 SP2:
      zypper in -t patch sledsp1-python-randomisation-update-6310
    • SUSE Linux Enterprise Desktop 11 SP1:
      zypper in -t patch sledsp1-python-randomisation-update-6310

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 ia64 ppc64 s390x x86_64) [New Version: 2.6.8]:
    • python-devel-2.6.8-0.13.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (i586 x86_64) [New Version: 2.6.8]:
    • python-demo-2.6.8-0.13.1
    • python-gdbm-2.6.8-0.13.1
    • python-idle-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (x86_64) [New Version: 2.6.8]:
    • python-32bit-2.6.8-0.13.1
    • SUSE Linux Enterprise Software Development Kit 11 SP2 (noarch):
    • python-doc-2.6-8.13.2
    • python-doc-pdf-2.6-8.13.2
    • SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64 s390x x86_64) [New Version: 2.6.8]:
    • python-devel-2.6.8-0.13.1
    • SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64) [New Version: 2.6.8]:
    • python-demo-2.6.8-0.13.1
    • python-gdbm-2.6.8-0.13.1
    • python-idle-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • SUSE Linux Enterprise Software Development Kit 11 SP1 (x86_64) [New Version: 2.6.8]:
    • python-32bit-2.6.8-0.13.1
    • SUSE Linux Enterprise Software Development Kit 11 SP1 (noarch):
    • python-doc-2.6-8.13.2
    • python-doc-pdf-2.6-8.13.2
    • SUSE Linux Enterprise Server 11 SP2 (i586 ia64 ppc64 s390x x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-2.6.8-0.13.1
    • python-2.6.8-0.13.1
    • python-base-2.6.8-0.13.1
    • python-curses-2.6.8-0.13.1
    • python-demo-2.6.8-0.13.1
    • python-gdbm-2.6.8-0.13.1
    • python-idle-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • python-xml-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP2 (ppc64 s390x x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-32bit-2.6.8-0.13.1
    • python-32bit-2.6.8-0.13.1
    • python-base-32bit-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP2 (noarch):
    • python-doc-2.6-8.13.2
    • python-doc-pdf-2.6-8.13.2
    • SUSE Linux Enterprise Server 11 SP2 (ia64) [New Version: 2.6.8]:
    • libpython2_6-1_0-x86-2.6.8-0.13.1
    • python-base-x86-2.6.8-0.13.1
    • python-x86-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-2.6.8-0.13.1
    • python-2.6.8-0.13.1
    • python-base-2.6.8-0.13.1
    • python-curses-2.6.8-0.13.1
    • python-demo-2.6.8-0.13.1
    • python-gdbm-2.6.8-0.13.1
    • python-idle-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • python-xml-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-32bit-2.6.8-0.13.1
    • python-32bit-2.6.8-0.13.1
    • python-base-32bit-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP1 for VMware (noarch):
    • python-doc-2.6-8.13.2
    • python-doc-pdf-2.6-8.13.2
    • SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-2.6.8-0.13.1
    • python-2.6.8-0.13.1
    • python-base-2.6.8-0.13.1
    • python-curses-2.6.8-0.13.1
    • python-demo-2.6.8-0.13.1
    • python-gdbm-2.6.8-0.13.1
    • python-idle-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • python-xml-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-32bit-2.6.8-0.13.1
    • python-32bit-2.6.8-0.13.1
    • python-base-32bit-2.6.8-0.13.1
    • SUSE Linux Enterprise Server 11 SP1 (noarch):
    • python-doc-2.6-8.13.2
    • python-doc-pdf-2.6-8.13.2
    • SUSE Linux Enterprise Server 11 SP1 (ia64) [New Version: 2.6.8]:
    • libpython2_6-1_0-x86-2.6.8-0.13.1
    • python-base-x86-2.6.8-0.13.1
    • python-x86-2.6.8-0.13.1
    • SUSE Linux Enterprise Desktop 11 SP2 (i586 x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-2.6.8-0.13.1
    • python-2.6.8-0.13.1
    • python-base-2.6.8-0.13.1
    • python-curses-2.6.8-0.13.1
    • python-devel-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • python-xml-2.6.8-0.13.1
    • SUSE Linux Enterprise Desktop 11 SP2 (x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-32bit-2.6.8-0.13.1
    • python-base-32bit-2.6.8-0.13.1
    • SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-2.6.8-0.13.1
    • python-2.6.8-0.13.1
    • python-base-2.6.8-0.13.1
    • python-curses-2.6.8-0.13.1
    • python-devel-2.6.8-0.13.1
    • python-tk-2.6.8-0.13.1
    • python-xml-2.6.8-0.13.1
    • SUSE Linux Enterprise Desktop 11 SP1 (x86_64) [New Version: 2.6.8]:
    • libpython2_6-1_0-32bit-2.6.8-0.13.1
    • python-base-32bit-2.6.8-0.13.1

    References:

    • http://support.novell.com/security/cve/CVE-2011-1015.html
    • http://support.novell.com/security/cve/CVE-2011-1521.html
    • http://support.novell.com/security/cve/CVE-2011-4944.html
    • http://support.novell.com/security/cve/CVE-2012-0845.html
    • http://support.novell.com/security/cve/CVE-2012-1150.html
    • https://bugzilla.novell.com/744287
    • https://bugzilla.novell.com/747125
    • https://bugzilla.novell.com/748079
    • https://bugzilla.novell.com/751714
    • https://bugzilla.novell.com/751718
    • https://bugzilla.novell.com/752375
    • https://bugzilla.novell.com/754447
    • https://bugzilla.novell.com/754547
    • http://download.suse.com/patch/finder/?keywords=e599234dabbae2d4ea50f08e56f1043f
    2020-03-20